My Notifications
Notifications following new videos, follows or reports. They allow you to keep track of the interactions and overall important information that concerns you. You MAY set per-notification type delivery preference, to receive the info either by mail, by in-browser notification or both.
List my notifications
Parameters
only list notifications of these types
unreadbooleanqueryonly list unread notifications
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Mark notifications as read by their id
Body
idsArray<integer>requiredids of the notifications to mark as read
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Mark all my notification as read
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Update my notification settings
Body
abuseAsModeratorNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
videoAutoBlacklistAsModeratorNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
newUserRegistrationNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
newVideoFromSubscriptionNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
blacklistOnMyVideoNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
myVideoPublishedNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
myVideoImportFinishedNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
commentMentionNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
newCommentOnMyVideoNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
newFollowNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
newInstanceFollowerNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
autoInstanceFollowingNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
abuseStateChangeNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
abuseNewMessageNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
newPeerTubeVersionNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
newPluginVersionNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
myVideoStudioEditionFinishedNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
myVideoTranscriptionGeneratedNotificationSettingValueNotification type. One of the following values, or a sum of multiple values:
0NONE1WEB2EMAIL
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
